Error
A valid request URL is required to generate request examples[
{
"id": "<string>",
"workspace_id": "<string>",
"name": "<string>",
"type": "<string>",
"destination_connection": {
"id": "<string>",
"name": "<string>",
"connector": "<string>",
"error": "<string>"
},
"trigger": {
"type": "none",
"cron": "<string>",
"next_run_at": "2023-11-07T05:31:56Z",
"after_job": "<string>",
"after_job_tasks": [
"<string>"
],
"error": "<string>"
},
"alerts": {
"send_email": true,
"email_to": "<string>",
"email_subject": "<string>",
"email_error_only": true
},
"settings": {
"enable_parallel_processing": true,
"worker_pool": 123,
"verbosity": "None",
"command_timeout": 300,
"git_token": "<string>",
"project_type": "<string>",
"dbt_schema": "<string>",
"git_repository_url": "<string>",
"dbt_threads": 4,
"folder_path": "<string>"
},
"permissions": {
"can_update": true,
"can_delete": true,
"can_execute": true,
"can_remove": true
},
"labels": [
"<string>"
],
"license_state": "<string>",
"license_message": "<string>",
"pipeline_id": "<string>",
"last_run": {
"run_start_date": "2023-11-07T05:31:56Z",
"status": "<string>",
"details": "<string>",
"records_affected": 123,
"job_history_id": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"code": 123,
"message": "<string>",
"error": "<string>"
}{
"code": 123,
"message": "<string>",
"error": "<string>"
}{
"code": 123,
"message": "<string>",
"error": "<string>"
}Update Transformation
PUT
/
v2
/
transformations
/
{transformation_id}
Error
A valid request URL is required to generate request examples[
{
"id": "<string>",
"workspace_id": "<string>",
"name": "<string>",
"type": "<string>",
"destination_connection": {
"id": "<string>",
"name": "<string>",
"connector": "<string>",
"error": "<string>"
},
"trigger": {
"type": "none",
"cron": "<string>",
"next_run_at": "2023-11-07T05:31:56Z",
"after_job": "<string>",
"after_job_tasks": [
"<string>"
],
"error": "<string>"
},
"alerts": {
"send_email": true,
"email_to": "<string>",
"email_subject": "<string>",
"email_error_only": true
},
"settings": {
"enable_parallel_processing": true,
"worker_pool": 123,
"verbosity": "None",
"command_timeout": 300,
"git_token": "<string>",
"project_type": "<string>",
"dbt_schema": "<string>",
"git_repository_url": "<string>",
"dbt_threads": 4,
"folder_path": "<string>"
},
"permissions": {
"can_update": true,
"can_delete": true,
"can_execute": true,
"can_remove": true
},
"labels": [
"<string>"
],
"license_state": "<string>",
"license_message": "<string>",
"pipeline_id": "<string>",
"last_run": {
"run_start_date": "2023-11-07T05:31:56Z",
"status": "<string>",
"details": "<string>",
"records_affected": 123,
"job_history_id": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"code": 123,
"message": "<string>",
"error": "<string>"
}{
"code": 123,
"message": "<string>",
"error": "<string>"
}{
"code": 123,
"message": "<string>",
"error": "<string>"
}Authorizations
ApiKeyAuthBasicAuth
A Sync user auth token. Generate one via POST /v2/users/generate-token.
Path Parameters
Transformation identifier.
Body
application/json
Transformation type, e.g. "Standard", "DBT", "DBT-Cloud".
References a connection by id or name. One of id or name is required.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
One or more transformations
A lightweight reference to a related resource.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes